# This is your home-manager configuration file
# Use this to configure your home environment (it replaces ~/.config/nixpkgs/home.nix)
{pkgs, inputs, outputs, ...}: {
  imports = [
    # Terminal apps
    ./utils/zsh.nix
    ./utils/fastfetch.nix
    ./utils/neovim.nix
    ./utils/ranger.nix
    ./utils/tmux.nix

    # Services
    ./services/reloadunits.nix
  ];

  nixpkgs = {
    # You can add overlays here
    overlays = [
      # Add overlays your own flake exports (from overlays and pkgs dir):
      outputs.overlays.additions
      outputs.overlays.selfsuper
      outputs.overlays.finalprev
      inputs.blender-bin.overlays.default
    ];
    # Configure your nixpkgs instance
    config = {
      # Disable if you don't want unfree packages
      allowUnfree = true;
      # Workaround for https://github.com/nix-community/home-manager/issues/2942
      allowUnfreePredicate = _: true;
    };
  };

  # Common programs I'll need everywhere
  home.packages = with pkgs; [
    home-manager
    gotop
    tcptrack
    p7zip
    vimv
    dua
    pciutils
    usbutils
    protonvpn-cli_2
  ];

  # https://nixos.wiki/wiki/FAQ/When_do_I_update_stateVersion
  home.stateVersion = "24.05";
}
