{config, pkgs, outputs, ...}: {
  # Import modules
  imports = [
    #"./swayfx.nix"
    ./hardware.nix
    ./theme.nix
    ./hotkeys.nix
    ./rules.nix
    ./autostart.nix
    ./waybar.nix
    ./swayshot.nix
  ];

  # Enable Sway and write some scripts
  wayland.windowManager.sway = {
    enable = true;
    package = null;
    wrapperFeatures.gtk = true;
    checkConfig = false;
    extraConfig = ''
      # Options I can't find in Nix yet
      default_floating_border pixel ${outputs.look.border.string}
      hide_edge_borders --i3 smart
      titlebar_padding 10 1
      primary_selection disabled

      # Include extra window icons
      include ${pkgs.fetchurl {
        url = "https://raw.githubusercontent.com/iguanajuice/sway-font-awesome/6b7a9d08974eea1b9cddb8d444e1c89d6837083a/icons";
        sha256 = "09ki5qw1h91kd33k3fwzq7cb6ck8sq4haswgizrsy387sfr2a75x";
      }}

      # Switch to workspace 1
      workspace ${outputs.ws.w7}
      workspace ${outputs.ws.w1}
    '';
  };
}
